Subject: Re: bug#41423: 27.0.91; eshell file completion in tramp dir is slow (3 minutes) [regression on pretest]

From: Gregory Heytings <[email-masked]>
Date: Wed, 02 Sep 2020 19:52:34 +0000

>
>> What is still missing IMO is a general description/documentation of the 
>> various parts of the completion mechanisms (completion-at-point, 
>> completion-in-region, pcomplete, pcomplete-completion-at-point, 
>> comint-completion-at-point, icomplete, ...) in Emacs behave and 
>> interact. I was completely lost when I started working on this bug, 
>> things are a bit clearer now, but still not very clear.
>
> I find it hard to write such things because I'm too familiar with it to 
> know what's non-obvious.  Maybe you could try writing something that 
> you'd have found useful, and then we can collaboratively improve it?
>

Based on the time I already spent on this bug, I guess writing something 
like this will require a substantial amount of work, but if you are 
willing to help me, I'm willing to do that.